Page 35 of 43

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 01 Aug 2017 19:02
by PlutonianEmpire
While working on my custom Kepler-16, I accidentally triggered the bug involving tidal locked clouds, and in addition discovered another bug: The ring shadow on the clouds got flipped.

SpaceEngine 2017-08-01 20-42-04.png


I included three .sc files: the original from my addons folder, the exported planet, and exported system. I'm including these just in case because the bug seems too random and hard to produce. :?

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 06 Aug 2017 18:01
by Astra
Hello! i appear to have a bug.
i really want to name my Moon "Romtétho-diströlis'otella"
but it does not work!! The text just ends up looking like this
https://www.dropbox.com/s/ma3zr499pofdm ... 5.png?dl=0
:o
even with all accented letters gone and other symbols it does the same thing.

It works in Celestia though!  :D https://www.dropbox.com/s/d25kcp1pbrrht ... 2.png?dl=0

I have to do this!
Trust me, this is how it needs to be named, i have no other choice! :oops:

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 06 Aug 2017 18:14
by Astra
Hold on. i managed to fix the issue spelling "Romtétho-diströlis'otella" with no accented letters and a fix in the addons folder, but i appear to be unable to edit or delete my post on this web-sight. i am also unable to make new topics either. plz delete thx

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 06 Aug 2017 18:35
by HarbingerDawn
Astra wrote:
Source of the post i appear to be unable to edit or delete my post on this web-sight. i am also unable to make new topics either

Read the forum rules, you need to make 10 posts in existing threads before you can edit posts or create new threads.

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 07 Aug 2017 00:54
by JackDole
Astra wrote:
Source of the post  i managed to fix the issue spelling "Romtétho-diströlis'otella" with no accented letters and a fix in the addons folder,

I do not know how you solved your problem. Especially the part with the 'fix in the addons folder' irritates me somewhat. You do not need a fix. You only need to save your script in the 'ANSI' format, not in 'UTF.8' format. SpaceEngine does not work with 'UTF-8'

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 07 Aug 2017 23:28
by Gaters
Critical error - Obsolete OpenGL version.

I am receiving the following message on trying to start Space Engine:

You have Obsolete OpenGL version (1.1).
Update your graphics card driver or install compatible hardware.

My graphics card is an AMD Radeon HD 7970M(Linked). The driver software is 17.10.3211.1031-170704a-316 030C-CrimsonReLive
My graphics card software is up-to-date and says that it has OpenGL version 6.14.10.13476

Any advice would be greatly appreciated. Thank you.

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 08 Aug 2017 00:55
by HarbingerDawn
Gaters, if you have a CPU with integrated graphics, make sure you force SE to use your Radeon graphics card, or disable integrated graphics in the BIOS. SE should do this automatically, but it's worth checking. Also, it would be helpful if you would upload your log file as described in the opening post.

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 09 Aug 2017 14:11
by scruffygamer
I found 2 specs in a black hole. Could be stars???

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 10 Aug 2017 04:45
by Gaters
HarbingerDawn wrote:
Gaters, if you have a CPU with integrated graphics, make sure you force SE to use your Radeon graphics card, or disable integrated graphics in the BIOS. SE should do this automatically, but it's worth checking. Also, it would be helpful if you would upload your log file as described in the opening post.

HarbingerDawn,
Thank you for your reply. I have checked and SE is set to use the Radeon graphics card, but I still get the critical error.
Please see the attached log file.
Any advice gratefully received.
LOG FILE:
SpaceEngine Version 0.9.8.0 beta

STARTING
[MT] Scanning data directories
[MT] Data directory "data"
[MT] Data directory "addons"
[MT] Loading script "config/main-def.cfg"
[MT] Loading script "config/main-user.cfg"
[MT] Loading  image "data/textures/common/splash03.jpg"
[MT] 20 localizations found
DONE

INITIALIZING OPENGL
[MT] Vendor:   Microsoft Corporation
[MT] Renderer: GDI Generic
[MT] Driver version: 1.1.0
[MT] OpenGL version: 1.1.0
[MT] GLSL   version: 0.0
[MT] Extensions: NONE
[MT] CRITICAL ERROR: Old OpenGL version (1.1.0). Aborting startup.
DONE

DESTROYING UNIVERSE
[MT] Destroying planets
[MT] Destroying stars
[MT] Destroying nebulae
[MT] Destroying clusters
[MT] Destroying galaxies
DONE

FINISHED

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 10 Aug 2017 21:26
by Unicron
The first quadruple star system with the Exoplanet PHI Kepler-64 b is incorrect in version 0.980, but is correct in versions 0.972 and 0.973. The error is that the planet doesn’t lie within the Barry center of this system. In another words, both sets of stars orbit the planet. The planet should orbit one set of the stars in this system. Hopefully this can be corrected in version 0.981. I hope this helps! ;)  

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 11 Aug 2017 02:24
by JackDole
Unicron wrote:
Source of the post Hopefully this can be corrected in version 0.981

Until this is done, you can use this script.
// Filename: Kepler-64b.sc

// Put in 'addons\catalogs\planets'

//------------------------------------------------------------------------------

Remove "PH1/Kepler-64 b" {ParentBody "Kepler-64"}

Planet    "PH1/Kepler-64 b/KIC 4862625 b"
{
    ParentBody     "Kepler-64 (AB)"
    
    Mass            168.646
    Radius          39535.076
    
    DiscMethod     "Transit"
    DiscDate       "2013"
    
    Orbit
    {
        Period          0.3792168699
        SemiMajorAxis   0.634
        Eccentricity    0.0539
        Inclination     90
        ArgOfPericen    348
    }
}

//------------------------------------------------------------------------------


Kepler-64b.sc
(691 Bytes) Downloaded 9 times
(Put it in 'addons\catalogs\planets')

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 15 Aug 2017 12:32
by Notsure_jr
Seeing how I can't post a new post I'll ask for help here.

Is there a fix for all the crashing I'm having. I can get a few minutes into the program but then space engine is not working.

Spects
I7 4770 3.4 ghz
16 gb ddr3 memory
RX 480 8gbs 

I have no addons I have messed with the cache stars (ie more stars) and planet's landscape in the config but this would crash even before all that just with a fresh install.

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 15 Aug 2017 14:00
by Obstructure
For some reason if I go close to a supergiant star or a giant star that isnt red/orange colored, my screen goes black. My computer meets all the criteria, but when the screen goes black, I have to turn my camera till it goes back to normal. I don't know what the problem is, but idk if its a graphics error or what. While the screen goes black, im still able to play the game, but its just a black screen and I can still see the cursor.

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 15 Aug 2017 14:59
by JackDole
Obstructure wrote:
Source of the post For some reason if I go close to a supergiant star or a giant star that isnt red/orange colored, my screen goes black.

Disable comet tails. (Sixth symbol from the top in the right toolbar.)
There seems to be a problems with some graphics cards in this version of SpaceEngine.
(Planets that are close to giant stars, develop comet tails.)

Troubleshooting and bug reports - SpaceEngine 0.9.8.0

Posted: 16 Aug 2017 06:41
by N0B0DY
For Nvidia users: Does anybody know if this issue occurs with their 0980 installation (or 0981 if they have access to it) and the latest Nvidia Driver version(s) after ver 382.53 which is the last working version without this issue for me at least?
I really don't want to stay with this version for much longer cause I  sometimes play other games which may require a later version at some point.